Bug 844377 - Wrong interface name created by NetworkManager
Wrong interface name created by NetworkManager
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Dan Williams
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-30 08:51 EDT by Pierguido Lambri
Modified: 2013-04-05 14:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-05 14:11:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pierguido Lambri 2012-07-30 08:51:11 EDT
Description of problem:
After installing RHEL7 alpha2, I noticed that the machine was not online.
I checked the interfaces configured and I see that NN has created an interface with the name "p3p1".
On the system the interface configured by udev is eth0:

# ifconfig -a
eth0: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 1500

lo: flags=73<UP,LOOPBACK,RUNNING>  mtu 16436

Version-Release number of selected component (if applicable):

# rpm -qa | grep Netwo
NetworkManager-glib-0.9.4-3.git20120403.el7.x86_64
NetworkManager-0.9.4-3.git20120403.el7.x86_64

How reproducible:
Resinstalled the machine 2 times and I always have this issue

Steps to Reproduce:
1. Install RHEL7 with "text" option
2. Check the network configuration
  
Actual results:
No config file for the interface eth0.
A config file for the interface "p3p1" was written

Expected results:
The correct configuration file should be written

Additional info:
Comment 1 Bill Nottingham 2012-07-30 15:14:12 EDT
Is biosdevname installed?
Comment 2 Dan Williams 2012-07-30 16:29:59 EDT
Are there udev rules or other such things that rename the network device after it's recognized by the kernel?  biosdevname is one of these, but also see if /etc/udev/rules.d/70-persistent-net.rules exists and if that directs udev to rename your interface to eth0.

(note that NM doesn't yet handle interface name changes well after it's found the device already.  A changed name doesn't affect internal operation, but it won't be reflected in the logs or in the API.  Internally, ifindexes are what is used, and therefore the name change has no material effect)
Comment 3 Pierguido Lambri 2012-07-31 04:07:49 EDT
No package biosdevname installed:

# rpm -qa | grep bios
# 

And no persistent rule in udev/rules.d:

# ls -l /etc/udev/rules.d
total 4
-rw-r--r--. 1 root root 771 May 22 14:02 90-alsa-tools-firmware.rules
Comment 4 Bill Nottingham 2012-07-31 11:02:53 EDT
If you install biosdevname, does that fix the issue?
Comment 5 Pierguido Lambri 2012-08-06 03:11:09 EDT
Installing biosdevname renamed the eth0 interface to p3p1.

From where does the name p3p1 come from?
Comment 6 Bill Nottingham 2012-08-06 12:04:07 EDT
PCI slot 3, port 1.

This will be fixed in a future milestone such that biosdevname is always installed.
Comment 8 Dan Williams 2013-04-05 14:11:23 EDT
I believe that biosdevname and udev are fixed now such that the correct naming is happening.  NM just uses what it gets from the kernel.

Note You need to log in before you can comment on or make changes to this bug.